qubeKey: source-commercetools
name: source-commercetools
type: airbyte-source
id: source-commercetools
maturity: alpha
ui:
  icon: <svg xmlns="http://www.w3.org/2000/svg" width="250" height="250" fill="none"><g
    clip-path="url(#a)"><path fill="#F27923" d="M35.545 180.7a4.435 4.435 0 0 0 0
    8.024l85.595 40.119c1.156.539 2.39.81 3.624.81v-89.497a9.09 9.09 0 0 0-3.74.81L35.544
    180.7Z"/><path fill="#F5A730" d="M124.775 140.121v89.496c1.311.04 2.661-.27 3.895-.81l85.363-39.964a4.436
    4.436 0 0 0 2.545-4.012 4.48 4.48 0 0 0-2.545-4.012l-85.518-39.849c-1.195-.54-2.467-.849-3.74-.849Z"/><path
    fill="#20AD92" d="M33 63.584a4.435 4.435 0 0 0 2.545 4.012l85.595 40.08a9.194
    9.194 0 0 0 3.624.849c1.079 0 2.159-.154 3.2-.54.81-.386.655-.309 2.391-1.119
    8.829-4.089 2.968-1.388 83.629-39.154a4.436 4.436 0 0 0 2.544-4.012 4.479 4.479
    0 0 0-2.544-4.012l-85.48-39.849a8.67 8.67 0 0 0-7.442 0L35.545 59.572A4.478 4.478
    0 0 0 33 63.584Z"/><path fill="#D0D1D1" d="M124.764 113.537v26.58a9.057 9.057
    0 0 0-3.74.81l-85.48 39.771A4.435 4.435 0 0 0 33 184.71V63.582a4.435 4.435 0 0
    0 2.545 4.011l85.595 40.081a9.21 9.21 0 0 0 3.624.848c1.079 0 2.159-.154 3.2-.54l-.154.077c-2.661
    1.196-3.046 2.431-3.046 5.478Z"/></g><defs><clipPath id="a"><path fill="#fff"
    d="M33 19h184v211H33z"/></clipPath></defs></svg>
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/commercetools
properties:
  type: object
  schema: http://json-schema.org/draft-07/schema#
  required:
  - start_date
  - client_id
  - client_secret
  - host
  - project_key
  - region
  properties:
    host:
      enum:
      - gcp
      - aws
      type: string
      order: 3
      title: Host
      description: 'The cloud provider your shop is hosted. See: https://docs.commercetools.com/api/authorization'
    region:
      type: string
      order: 5
      title: Region
      examples:
      - us-central1
      - australia-southeast1
      description: The region of the platform.
    client_id:
      type: string
      order: 1
      title: Client ID
      description: Id of API Client.
      airbyte_secret: true
    start_date:
      type: string
      order: 0
      title: Start date
      format: date-time
      pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
    project_key:
      type: string
      order: 4
      title: Project key
      description: The project key
    client_secret:
      type: string
      order: 2
      title: Client secret
      description: The password of secret of API Client.
      airbyte_secret: true
  additionalProperties: true
schemaType: {}
